Bug 61145 - ports/net/ttcp - add DIST_SUBDIR
Summary: ports/net/ttcp - add DIST_SUBDIR
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Haro
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-09 21:50 UTC by jharris
Modified: 2004-01-16 23:15 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2004-01-09 21:50:24 UTC
	move the three individual distfiles, particularly README, into
	${DISTFILES}/ttcp to improve organization.  keep portlint happy.

Fix: -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
NotDashEscaped: You need GnuPG to verify this message

cvs server: Diffing .


iD8DBQE//x15SypIl9OdoOMRAsgMAJwIkqA8qi7d/5W2kLH8Ir9W4MbLLQCeIDG5
pnu8ydqMG7eJTN1STkZRmfE=
=1/HC
-----END PGP SIGNATURE-------g1OBi0tc5wPJlbclsvaZGBqGTnB4qrjBuIJSDIVlSw9OQiAs
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/net/ttcp/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- Makefile	7 Mar 2003 06:08:04 -0000	1.4
+++ Makefile	9 Jan 2004 21:30:18 -0000
@@ -10,12 +10,13 @@
 CATEGORIES=	net
 MASTER_SITES=	ftp://ftp.sgi.com/sgi/src/ttcp/
 DISTFILES=	ttcp.c ttcp.1 README
+EXTRACT_ONLY=	#none
 
 MAINTAINER=	mharo@FreeBSD.org
 COMMENT=	Benchmarking tool for analysing TCP and UDP performance
 
-EXTRACT_ONLY=	#none
 NO_WRKSUBDIR=	yes
+DIST_SUBDIR=	${PORTNAME}
 MAN1=		ttcp.1
 
 post-extract:
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/net/ttcp/distinfo,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 distinfo
--- distinfo	2 Jun 1999 06:14:11 -0000	1.1.1.1
+++ distinfo	9 Jan 2004 21:30:19 -0000
@@ -1,3 +1,12 @@
-MD5 (ttcp.c) = 3d1b75f6116cc246a4def9788ce58c26
-MD5 (ttcp.1) = 01d3a511a05dc8a0669f30c15ebaae82
-MD5 (README) = 6b1e5ff6247a9f284f3b58eb651b37a9
+MD5 (ttcp/ttcp.c) = 3d1b75f6116cc246a4def9788ce58c26
+SHA1 (ttcp/ttcp.c) = 1ff5b8fd64ff3dbe1b5a66bfc9813b1a5e3063fd
+RMD160 (ttcp/ttcp.c) = 99e8f596134eec2077989fd7205648187716e016
+SIZE (ttcp/ttcp.c) = 19170
+MD5 (ttcp/ttcp.1) = 01d3a511a05dc8a0669f30c15ebaae82
+SHA1 (ttcp/ttcp.1) = f5ae207c779bf3af1ac43fcd5614b734d139e1a3
+RMD160 (ttcp/ttcp.1) = 4820c2b9c058a430030a774dcf012d41c8e6ec8c
+SIZE (ttcp/ttcp.1) = 3885
+MD5 (ttcp/README) = 6b1e5ff6247a9f284f3b58eb651b37a9
+SHA1 (ttcp/README) = 0de9d88ae141eb1ff7720c2962d3d99e1c39673d
+RMD160 (ttcp/README) = 0552eb0f8c2c545cce32a5b0b67cf8b592bd7bfb
+SIZE (ttcp/README) = 781
cvs server: Diffing files
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (FreeBSD)
How-To-Repeat: 
	apply patch below
Comment 1 Edwin Groothuis freebsd_committer 2004-01-09 22:00:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->edwin

I'll handle this one when the repocopy to ports/benchmarks is done.
Comment 2 Edwin Groothuis freebsd_committer 2004-01-16 03:36:14 UTC
Responsible Changed
From-To: edwin->mharo

over to maintainer.
Comment 3 Michael Haro freebsd_committer 2004-01-16 23:14:55 UTC
State Changed
From-To: open->closed

Committed, thanks! 

Note that I had to make a slight modification to your patch to make 
post-extract work.